Documentation

Get the folders accessible to the current user

GET
/api/v1/external/drives/folders

Scope requis : read:drives.

AutorisationBearer <jeton>

JWT d'organisation obtenu via le flow OIDC. Voir le guide d'intégration.

Dans: header

Paramètres de requête

isPersonal?boolean

Filter by personal drives

Défautfalse
search?string
bySize?boolean
Défautfalse
page*number
Plage1 <= value
Défaut1
pageSize*number
Plage1 <= value
Défaut10
sortBy?string
sortDirection*string
Défaut"DESC"

Valeur parmi

  • "ASC"
  • "DESC"
disablePagination*boolean
Défautfalse

Corps de réponse

application/json

curl -X GET "https://example.com/api/v1/external/drives/folders?page=1&pageSize=10&sortDirection=ASC&disablePagination=false"
{  "data": [    {      "id": "string",      "name": "string",      "drive": "string",      "parentFolder": "string",      "createdAt": "string",      "updatedAt": "string",      "globalStorageInfo": {        "totalRustSizeBytes": 0,        "totalEmbeddingSizeBytes": 0      },      "filesCount": 0,      "embeddingCount": {        "VECTORIZED": 0,        "IN_PROGRESS": 0,        "NOT_SUPPORTED": 0,        "NOT_VECTORIZED": 0      },      "embedder": "agno",      "isOwner": true    }  ],  "meta": {    "currentPage": 0,    "totalItemsCount": 0,    "totalPagesCount": 0,    "itemsPerPage": 0  }}